Bug 2257 - Some email bodies not retrieved from Exchange 2007 thru IMAP
Summary: Some email bodies not retrieved from Exchange 2007 thru IMAP
Status: NEW
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: Folders/IMAP (show other bugs)
Version: 3.7.6
Hardware: PC Linux
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2010-09-01 10:41 CEST by Pierre Etchemaite
Modified: 2016-12-01 21:12 CET (History)
5 users (show)

See Also:


Attachments
log without the filter (90 bytes, text/plain)
2010-09-28 21:15 CEST, Denis Laxalde
no flags Details
log with the filter (90 bytes, text/plain)
2010-09-28 21:16 CEST, Denis Laxalde
no flags Details
Claws debug log (167.72 KB, text/plain)
2012-01-27 10:06 CET, DragonK
no flags Details
debug log of problem, on 3.13.1 (37.89 KB, text/plain)
2016-02-03 10:01 CET, Thomas De Schampheleire
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pierre Etchemaite 2010-09-01 10:41:12 CEST
When retrieving inbox emails from an Exchange 2007 IMAP server, some only display headers (empty body). Their body is missing in cache files too.

Removing the cache file and reloading the message in the interface, or moving the message to a different folder, "fixes" the problem; I wonder if emails filtering could be involved in the problem (I use quite a few rules!).

It seems to happen reliably on one liner emails, and usually happen on short emails (few lines... not sure that's the upper limit).
Comment 1 Colin Leroy 2010-09-03 09:01:11 CEST
Can you paste Network log output ?
Comment 2 Pierre Etchemaite 2010-09-10 10:23:50 CEST
(Logs sent directly by email)

I think I've found a workaround.
I inserted a filtering rule on the front of the other ones, that do some filtering on email bodies (but run a useless action):

fetchbody (all accounts): body_part matchcase "zorglub" clear_tags

And I did not experienced the problem since then.
Hope it helps.
Comment 3 Denis Laxalde 2010-09-28 21:15:17 CEST
Created attachment 900 [details]
log without the filter
Comment 4 Denis Laxalde 2010-09-28 21:16:14 CEST
Created attachment 901 [details]
log with the filter
Comment 5 Denis Laxalde 2010-09-28 21:16:46 CEST
I reported a similar issue in the Debian BTS [1].
In my case, the problem occurs *only* if I have a filter activated. I also noticed that moving the message to a different folder makes the body appear again.
I'm attaching two log files, corresponding to the same message sent
twice and received either with the filter (w_filter.log) or without the
filter (wo_filter.log).

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=573076
Comment 6 DragonK 2012-01-27 10:05:16 CET
This is also happening on an Exchange 2010 server with claws-mail 3.8.0 
The workaround mentioned in comment #2 doesn't seem to help in my case.

I'm attaching a debug log; there are two accounts in that log (unfortunately), the problem appears for EXCHANGE-ACCOUNT. In the last part of the log I'm clicking between a message for which body displays and one for which it doesn't.
Comment 7 DragonK 2012-01-27 10:06:32 CET
Created attachment 1067 [details]
Claws debug log
Comment 8 JMG 2012-11-27 14:38:09 CET
I am also suffering from this bug (my email provider changed from a unix-based email package to Exchange). I am using claws-mail v3.8.1 on Gentoo/Linux.

Has there been any progress regarding solving it?
Comment 9 JMG 2012-11-27 14:40:09 CET
I connect to Demon using IMAP4 using SSL for IMAP4 connection.
Comment 10 Johnny Carlsen 2013-12-17 07:53:57 CET
Claws Mail: 3.9.1

I am using Claws Mail with Exchange 2010 using IMAP4, some messages are missing their body - I especially see this on some of the mailinglists that I am subscribed to.

What kind of information can I provide that to help locate this issue?
Comment 11 users 2014-04-30 22:26:04 CEST
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2014-04-30 22:26:04.037880800 +0200
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=b7da743ca174c60d9ae732da28963716fed75c49
Merge: f811376 e156c55
Author: Colin Leroy <colin@colino.net>
Date:   Wed Apr 30 22:26:03 2014 +0200

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=e156c55c5e9e66d7cef382e57b9ff406211a4ffc
Author: Colin Leroy <colin@colino.net>
Date:   Wed Apr 30 22:25:18 2014 +0200

    Fix invalid free

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=40a1b5af5bfdf86de374099a48210a22bd1e435b
Author: Colin Leroy <colin@colino.net>
Date:   Wed Apr 30 22:24:49 2014 +0200

    Debug bug #2257
Comment 12 Colin Leroy 2014-04-30 22:30:19 CEST
(In reply to comment #10)
> Claws Mail: 3.9.1
> 
> I am using Claws Mail with Exchange 2010 using IMAP4, some messages are
> missing their body - I especially see this on some of the mailinglists that
> I am subscribed to.
> 
> What kind of information can I provide that to help locate this issue?

Hi everyone,

Sorry for the late reply... I think it's the headers cache/full cache system that's tricked by a bug in its logic or more probably a bug in Exchange's report of emails sizes. 

Unfortunately the network logs aren't enough to figure out and the debug log isn't either.

What would be really great is if one or more of you could
A) run latest git version or apply this patch on your Claws-Mail:
http://git.claws-mail.org/?p=claws.git;a=commitdiff_plain;h=40a1b5af5bfdf86de374099a48210a22bd1e435b

B) reproduce the bug with a freshly fetched (aka new) message while running --debug

C) send the --debug log.

Thanks a lot!
Comment 13 Colin Leroy 2014-05-22 21:45:23 CEST
Hi guys,

No news from a GIT checkout? :)
Comment 14 Thomas De Schampheleire 2016-02-03 10:00:33 CET
(In reply to comment #13)
> Hi guys,
> 
> No news from a GIT checkout? :)

Hi,

I am since recently hitting this bug, on claws-mail 3.13.1 (this one has the extra debug changes applied).
Please find an excerpt of a debug log in attachment. The excerpt contains the logs for following actions:
- hit the 'Get mail' button
- 1 message received
- click the message to verify that it indeed does not show a body

Afterwards I checked the message file (263392) in the imapcache directory, and that one also only shows the headers.

Previously, on another message, I verified the workaround to move it to another folder (and optionally back) and noticed that it indeed works.

Let me know if you need more details.
Comment 15 Thomas De Schampheleire 2016-02-03 10:01:36 CET
Created attachment 1627 [details]
debug log of problem, on 3.13.1
Comment 16 Markus Schwarzenberg 2016-03-16 15:14:46 CET
Bug 3278 might be a duplicate of this one.
Comment 17 Thomas De Schampheleire 2016-12-01 21:12:21 CET
I confirm that this issue is triggered by filters. I used to have this issue back in February 2016. At some point I disabled all filters, and did not get the problem since. Today I added some new filters, and suddenly I see this problem again.

I already attached a log previously.
Is there anything else I can do to help?